Index: main.c
--- main.c	Sat Jul  8 20:26:46 2000
+++ main.c	Mon Nov 27 08:28:03 2000
@@ -151,7 +151,7 @@
 	}
 	editproto = lgetenv("LESSEDIT");
 	if (editproto == NULL || *editproto == '\0')
-		editproto = "%E ?lm+%lm. %f";
+		editproto = "%E ?lm+%lm. '%f'";
 #endif
 
 	/*

=============================================================================

The following patch changes the order in which "less" tries to find
workable terminal libraries. By default it prefers curses and especially
ncurses. That is fine in general, because ncurses is superior in
features and stability to mostly all terminal libraries. Unfortunately,
ncurses _always_ renders on a new blank and second screen and so cannot
be used for "ls -l | less -E -r" or similar commands on an xterm where
the input to display is less than a terminal height (because in this
case the screen will flicker once and then you're back at your shell
prompt without seeing the contents). On the other hand, less does not
need such a sophisticated terminal library, so allow it to prefer
termlib or termcap before the curses variants. As a side-effect we can
remove the ncurses dependency from the package, too. -- rse

